Package com.sun.jna.platform.win32

## Class Advapi32Util.EventLogRecord

- java.lang.Object
- - com.sun.jna.platform.win32.Advapi32Util.EventLogRecord

Enclosing class:
  Advapi32Util

    public static class Advapi32Util.EventLogRecord
    extends java.lang.Object

An event log record.

### Constructor Summary

Constructors
`EventLogRecord​(Pointer pevlr)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`byte[]` `getData()` Raw data associated with the record.
`int` `getEventId()` Deprecated. As of 5.4.0, replaced by `getInstanceId()`.
`int` `getInstanceId()` The Instance ID, a resource identifier that corresponds to a string definition in the message resource file of the event source.
`int` `getLength()` Record length, with data.
`WinNT.EVENTLOGRECORD` `getRecord()` Raw record data.
`int` `getRecordNumber()` Record number of the record.
`java.lang.String` `getSource()` Event source.
`int` `getStatusCode()` Status code, the rightmost 16 bits of the Instance ID.
`java.lang.String[]` `getStrings()` Strings associated with this event.
`Advapi32Util.EventLogType` `getType()` Event log type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventLogRecord

    public EventLogRecord​(Pointer pevlr)

### Method Detail

#### getRecord

    public WinNT.EVENTLOGRECORD getRecord()

Raw record data.

Returns:
  EVENTLOGRECORD.

#### getInstanceId

    public int getInstanceId()

The Instance ID, a resource identifier that corresponds to a string definition in the message resource file of the event source. The Event ID is the Instance ID with the top two bits masked off.

Returns:
  An integer representing the 32-bit Instance ID.

#### getEventId

    @Deprecated
    public int getEventId()

Deprecated.
As of 5.4.0, replaced by `getInstanceId()`. The Event ID displayed in the Windows Event Viewer corresponds to `getStatusCode()` for system-generated events.

#### getSource

    public java.lang.String getSource()

Event source.

Returns:
  String.

#### getStatusCode

    public int getStatusCode()

Status code, the rightmost 16 bits of the Instance ID. Corresponds to the Event ID field in the Windows Event Viewer for system-generated events.

Returns:
  An integer representing the low 16-bits of the Instance ID.

#### getRecordNumber

    public int getRecordNumber()

Record number of the record. This value can be used with the EVENTLOG_SEEK_READ flag in the ReadEventLog function to begin reading at a specified record.

Returns:
  Integer.

#### getLength

    public int getLength()

Record length, with data.

Returns:
  Number of bytes in the record including data.

#### getStrings

    public java.lang.String[] getStrings()

Strings associated with this event.

Returns:
  Array of strings or null.

#### getType

    public Advapi32Util.EventLogType getType()

Event log type.

Returns:
  Event log type.

#### getData

    public byte[] getData()

Raw data associated with the record.

Returns:
  Array of bytes or null.